http://api.iotwireless.{region}.amazonaws.com/wireless-devices/{Id}/dataList queued messages in the downlink queue.
The ID of a given wireless device which the downlink message packets are being sent.
To retrieve the next set of results, the <code>nextToken</code> value from a previous response; otherwise <b>null</b> to receive the first set of results.
The maximum number of results to return in this operation.
The wireless device type, whic can be either Sidewalk or LoRaWAN.
Pagination limit
Pagination token
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://api.iotwireless.{region}.amazonaws.com/wireless-devices/{Id}/data' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://api.iotwireless.{region}.amazonaws.com/wireless-devices/{Id}/dataList queued messages in the downlink queue.
The ID of a given wireless device which the downlink message packets are being sent.
To retrieve the next set of results, the <code>nextToken</code> value from a previous response; otherwise <b>null</b> to receive the first set of results.
The maximum number of results to return in this operation.
The wireless device type, whic can be either Sidewalk or LoRaWAN.
Pagination limit
Pagination token
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://api.iotwireless.{region}.amazonaws.com/wireless-devices/{Id}/data' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}